Bug 1661120 (CVE-2018-20021)

Summary: CVE-2018-20021 libvncserver: Infinite loop in VNC client code allows for denial of service
Product: [Other] Security Response Reporter: Sam Fowler <sfowler>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED WONTFIX QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: negativo17, ppisar, rdieter
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-06-10 10:44:24 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1661122, 1661121, 1663001    
Bug Blocks: 1661105    

Description Sam Fowler 2018-12-20 07:09:10 UTC
LibVNC before commit c3115350eb8bb635d0fdb4dbbb0d0541f38ed19c contains a CWE-835: Infinite loop vulnerability in VNC client code. Vulnerability allows attacker to consume excessive amount of resources like CPU and RAM


External Reference:

https://ics-cert.kaspersky.com/advisories/klcert-advisories/2018/12/19/klcert-18-031-libvnc-infinite-loop/


Upstream Patch:

https://github.com/LibVNC/libvncserver/commit/c3115350eb8bb635d0fdb4dbbb0d0541f38ed19c

Comment 1 Sam Fowler 2018-12-20 07:09:24 UTC
Created libvncserver tracking bugs for this issue:

Affects: epel-7 [bug 1661122]
Affects: fedora-all [bug 1661121]

Comment 2 Sam Fowler 2018-12-20 07:40:16 UTC
Upstream Issue:

https://github.com/LibVNC/libvncserver/issues/251

Comment 3 Stefan Cornelius 2018-12-21 11:05:54 UTC
I suspect that this was introduced by https://github.com/LibVNC/libvncserver/commit/79d938c16bf7a14b6d6ee290bcfef3c01f9c4f02 - which fixed a divbyzero.